Returns size of large object

- « OCILob::setBuffering

- OCILob::tell »

- PHP Manual
- OCILob
- Returns size of large object

# OCILob::size

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCILob::size — Returns size of large object

### Description

public OCILob::size(): int|false

Gets the size of the large object.

### Parameters

This function has no parameters.

### Return Values

Returns length of large object value or `false` on failure. Empty objects have zero length.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Lob class was renamed to OCILob to align with PHP naming standards.